## org.eclipse.emf.compare.util
Interface EMFComparePreferenceConstants

    public interface EMFComparePreferenceConstants

Defines constants used for EMF Compare preferences. These are used by the UI as well as the match engine.

Since:
  1.0

Field Summary
`static int` `PREFERENCES_DEFAULT_SEARCH_WINDOW` Default value for the siblings search window.
`static java.lang.String` `PREFERENCES_KEY_DISTINCT_METAMODEL` Preferences key for the boolean indicating that the comparison should assume the compared models have distinct metamodels.
`static java.lang.String` `PREFERENCES_KEY_ENGINE_SELECTION` Preferences key for the engine selection.
`static java.lang.String` `PREFERENCES_KEY_IGNORE_ID` Preferences key for the boolean indicating that the comparison should ignore IDs.
`static java.lang.String` `PREFERENCES_KEY_IGNORE_XMIID` Preferences key for the boolean indicating that the comparison should ignore XMI IDs.
`static java.lang.String` `PREFERENCES_KEY_SEARCH_WINDOW` Preferences key for the siblings search window.

Field Detail

### PREFERENCES_KEY_DISTINCT_METAMODEL

    static final java.lang.String PREFERENCES_KEY_DISTINCT_METAMODEL

  Preferences key for the boolean indicating that the comparison should assume the compared models have distinct metamodels.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_IGNORE_ID

    static final java.lang.String PREFERENCES_KEY_IGNORE_ID

  Preferences key for the boolean indicating that the comparison should ignore IDs.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_IGNORE_XMIID

    static final java.lang.String PREFERENCES_KEY_IGNORE_XMIID

  Preferences key for the boolean indicating that the comparison should ignore XMI IDs.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_SEARCH_WINDOW

    static final java.lang.String PREFERENCES_KEY_SEARCH_WINDOW

  Preferences key for the siblings search window.

  See Also:
    Constant Field Values

### PREFERENCES_KEY_ENGINE_SELECTION

    static final java.lang.String PREFERENCES_KEY_ENGINE_SELECTION

  Preferences key for the engine selection.

  See Also:
    Constant Field Values

### PREFERENCES_DEFAULT_SEARCH_WINDOW

    static final int PREFERENCES_DEFAULT_SEARCH_WINDOW

  Default value for the siblings search window.

  See Also:
    Constant Field Values

Copyright 2006 IBM Corporation and others. All Rights Reserved.